Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.update.core
Class NonPluginEntry

    java.lang.Object
      org.eclipse.core.runtime.PlatformObject
          org.eclipse.update.core.model.ModelObject
              org.eclipse.update.core.model.ContentEntryModel
                  org.eclipse.update.core.model.NonPluginEntryModel
                      org.eclipse.update.core.NonPluginEntry

All Implemented Interfaces:
  IAdaptable, INonPluginEntry, IPlatformEnvironment

public class NonPluginEntry
extends NonPluginEntryModel
implements INonPluginEntry

Convenience implementation of non-plug-in entry.

This class may be instantiated or subclassed by clients.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  2.0
See Also:
  `INonPluginEntry`, `NonPluginEntryModel`

Field Summary

Fields inherited from class org.eclipse.update.core.model.ContentEntryModel
`UNKNOWN_SIZE`

Constructor Summary
`NonPluginEntry()` Non-plug-in entry default constructor

Methods inherited from class org.eclipse.update.core.model.NonPluginEntryModel
`getIdentifier, setIdentifier`

Methods inherited from class org.eclipse.update.core.model.ContentEntryModel
`getDownloadSize, getInstallSize, getNL, getOS, getOSArch, getWS, setArch, setDownloadSize, setInstallSize, setNL, setOS, setWS`

Methods inherited from class org.eclipse.update.core.model.ModelObject
`arrayTypeFor, arrayTypeFor, assertIsWriteable, getPropertyName, getResourceBundle, isReadOnly, markListReferenceReadOnly, markReadOnly, markReferenceReadOnly, resolve, resolveListReference, resolveNLString, resolveReference, resolveURL`

Methods inherited from class org.eclipse.core.runtime.PlatformObject
`getAdapter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.update.core.INonPluginEntry
`getDownloadSize, getIdentifier, getInstallSize`

Methods inherited from interface org.eclipse.update.core.IPlatformEnvironment
`getNL, getOS, getOSArch, getWS`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Constructor Detail

### NonPluginEntry

    public NonPluginEntry()

  Non-plug-in entry default constructor

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.